<?
require_once('lib/nusoap/src/nusoap.php');
/*$parametros = array('usuario'=>'tsu750725as5@gencfd.com','password'=>'TSU750725AS5','rfcEmisor'=>'TSU750725AS5');

$cliente = new soapclient('https://solucionfactible.com/ws/services/Utilerias?wsdl');

$resultado=$cliente->getTimbres($parametros);

/*echo $resultado->return->mensaje."<br/>";
echo $resultado->return->contratados."<br/>";
echo $resultado->return->disponibles."<br/>";
echo $resultado->return->usados."<br/>";*/

class emisor {
    public $rfc;
    public $razonSocial;
    public $nombreComercial;
    public $email;
}
class domicilioFiscal extends emisor{
    public $calle;
    public $noExt;
    public $noInt;
    public $colonia;
    public $codigoPostal;
    public $ciudad;
    public $estado;
    public $pais;
}
$obj = new emisor();
$obj->rfc = 'TEST010101TS';
$obj->razonSocial = 'TEST';
$obj->nombreComercial = 'TEST';
$obj->email = 'cvaca@disxii.com';

$obj2 = new domicilioFiscal();
$obj2->calle="Santander";
$obj2->noExt="2290";
$obj2->noInt="";
$obj2->colonia="Santa Monica";
$obj2->codigoPostal="44220";
$obj2->ciudad="Guadalajara";
$obj2->estado="Jalisco";
$obj2->pais="Mexico";

            
            $parametros = array('usuario'=>'testing@solucionfactible.com','password'=>'timbrado.SF.16672','emisor'=>array('rfc'=>'TEST010101TS1',
                'razonSocial'=>'test','nombreComercial'=>'test','email'=>'cvaca@disxii.com','domicilioFiscal'=>array('calle'=>'calle','noExt'=>'12345',
                    'noInt'=>'','colonia'=>'colonia','codigoPostal'=>'44220','ciudad'=>'Guadalajara','estado'=>'Jalisco','pais'=>'Mexico')));
                        //$ws_solucion = new soapclient('https://solucionfactible.com/ws/services/Utilerias?wsdl');
                        $ws_solucion = new soapclient('http://testing.solucionfactible.com/ws/services/Utilerias?wsdl');
                        
                        $resultado=  $ws_solucion->agregarEmisorFirmaFiel($parametros);
                        
						echo htmlspecialchars($ws_solucion->request, ENT_QUOTES);exit;
						
                        echo $resultado->return->mensaje;


?>